namespace AutoScan.Models;

//Bulk converted from endpoint response. TODO: Cleanup later, format properties names
public class VideoStorageLocations
{
    public string dir { get; set; }
}

public class VideoActionLink
{
    public string changeToRead { get; set; }
    public string changeToUnread { get; set; }
    public string deleteVideo { get; set; }
}

public class FetchVideoResponse
{
    public bool endIsStartTo { get; set; }
    public bool ok { get; set; }
    public List<VideoDetail> videos { get; set; }
}

public class VideoDetail
{
    public string actionUrl { get; set; }
    public int archive { get; set; }
    public VideoStorageLocations details { get; set; }
    public DateTime end { get; set; }
    public string ext { get; set; }
    public string filename { get; set; }
    public string href { get; set; }
    public string ke { get; set; }
    public VideoActionLink links { get; set; }
    public string mid { get; set; }
    public string objects { get; set; }
    public object saveDir { get; set; }
    public int size { get; set; }
    public int status { get; set; }
    public DateTime time { get; set; }
}

